<app-loading *ngIf="loading" ></app-loading>

<div class="row animated fadeIn" *ngIf="!loading">
  <div class="col-2">
    <img
      [src]="artist.images | noimage"
      [alt]="artist.name"
      class="img-thumbnail rounded-circle">
  </div>
  <div class="col">
    <h3>{{ artist.name }}</h3>
    <p>
      <a [href]="artist.external_urls.spotify" target="_blank">
        Ir a la página del artista
      </a>
    </p>
  </div>
  <div class="col-4 text-right">
    <button routerLink="/search" class="btn btn-outline-danger">
      <i class="fas fa-arrow-circle-left"></i>
    </button>
  </div>
</div>

<div class="row m-4">
  <div class="col">
    <table class="table">
      <thead>
        <tr>
          <td class="align-middle">Foto</td>
          <td class="align-middle">Album</td>
          <td class="align-middle">Canción</td>
          <td class="align-middle">Vista previa</td>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let track of topTracks">
          <td class="align-middle">
            <img
              [src]="track.album.images | noimage"
              [alt]="track.name"
              class="img-thumb rounded">
          </td>
          <td class="align-middle"> {{ track.album.name }} </td>
          <td class="align-middle"> {{ track.name }} </td>
          <td class="align-middle">
            <!-- <audio [src]="track.preview_url" controls></audio> -->
            <iframe
              [src]="track.uri | domseguro"
              width="300"
              height="80"
              frameborder="0"
              allowtransparency="true"
              allow="encrypted-media"></iframe>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
